Package org.apache.synapse.commons.beanstalk.enterprise

## Class EnterpriseIntitalContext

- java.lang.Object
- - javax.naming.InitialContext
  - - org.apache.synapse.commons.beanstalk.enterprise.EnterpriseIntitalContext

- All Implemented Interfaces:
    `Context`

      public class EnterpriseIntitalContext
      extends InitialContext

  Enterprise specific Initial context which is avoiding allows to setup the user defined properties to the context

- - ### Field Summary

    - ### Fields inherited from class javax.naming.InitialContext

      `defaultInitCtx, gotDefault, myProps`

    - ### Fields inherited from interface javax.naming.Context

      `APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EnterpriseIntitalContext()` |
    `EnterpriseIntitalContext​(Hashtable<?,​?> environment)` | Constructs an initial context using the supplied environment.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Context` | `getURLOrDefaultInitCtx​(String name)` |

    - ### Methods inherited from class javax.naming.InitialContext

      `addToEnvironment, bind, bind, close, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, doLookup, doLookup, getDefaultInitCtx, getEnvironment, getNameInNamespace, getNameParser, getNameParser, getURLOrDefaultInitCtx, init, list, list, listBindings, listBindings, lookup, lookup, lookupLink, lookupLink, rebind, rebind, removeFromEnvironment, rename, rename, unbind, unbind`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnterpriseIntitalContext

          public EnterpriseIntitalContext()
                                   throws NamingException

      Throws:
        `NamingException`

    - #### EnterpriseIntitalContext

          public EnterpriseIntitalContext​(Hashtable<?,​?> environment)
                                   throws NamingException

      Constructs an initial context using the supplied environment. Environment properties are discussed in the class description.

      This constructor will not modify `environment` or save a reference to it, but may save a clone.

      Parameters:
        `environment` - environment used to create the initial context. Null indicates an empty environment.
      Throws:
        `NamingException` - if a naming exception is encountered

  - ### Method Detail

    - #### getURLOrDefaultInitCtx

          protected Context getURLOrDefaultInitCtx​(String name)
                                            throws NamingException

      Overrides:
        `getURLOrDefaultInitCtx` in class `InitialContext`
      Throws:
        `NamingException`